%define upstream_name    Math-Base36
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Encoding and decoding of base36 strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Math::BigInt) >= 1.600.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module converts to and from Base36 numbers (0..9 - A..Z)

It was created because of an article/challenge in "The Perl Review"

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.140.0-8.mga9
+ Revision: 1809608
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-7.mga8
+ Revision: 1505092
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-6.mga7
+ Revision: 1284750
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.140.0-5.mga7
+ Revision: 1165294
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 0.140.0-4.mga7
+ Revision: 1158568
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-3.mga6
+ Revision: 1029532
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.140.0-2.mga6
+ Revision: 967513
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.140.0-1.mga6
+ Revision: 849122
- update to 0.14

* Sun Oct 19 2014 umeabot <umeabot> 0.120.0-6.mga5
+ Revision: 789190
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 743078
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.120.0-4.mga5
+ Revision: 735622
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 685342
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 527092
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.120.0-1.mga4
+ Revision: 439513
- update to 0.12

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 369517
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.100.0-1.mga3
+ Revision: 286267
- update to 0.10

* Tue Jan 18 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 23338
- cleaning spec file
- imported package perl-Math-Base36

